function [h, f, H] = ec(a, frecs, q, rango, acura)
if nargin < 1, a = [0.0 1.0 0.5 0.5 0.5 0.5 0.5 0.5 0.5 0.5]; end     
% if nargin < 1, a = [0.0 1.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0]; end     
if nargin < 2, frecs = [31.5 63 125 250 500 1000 ...
        2000 4000 8000 16000]; end  
if nargin < 3, q = 1; end
if nargin < 4, rango = 12; end
if nargin < 5, acura = 1000; end
if size(frecs) == size(a)
    bandas = length(a);
else
    error(['dimension de a (' num2str(length(a)) ...
        ') no es igual a la dimension de frecs (' ...
        num2str(length(frecs)) ')']);
end
global s;
if nargout < 1,
    s = tf('s');
end
gb = 15e6;
rs = 100;
k = 20;
% frecs = logspace(log10(31.5),log10(16128),bandas)
f = logspace(log10(20), log10(20000), acura);
for i = 1:length(frecs)
    f0 = frecs(i);
    [z(i,:), f, Z(i,:), c1(i), c2(i)] = ...
        zcalc(q, f0, f, rs, k, 1);
end

aa = a';
a = repmat(a',[1,1000]);

switch (rango)
    case 12
        r = 20000;
        rp = 20000;
    case 6
        r = 2000;
        rp = 2000;
end

% la curva
h = (1 + sum(a .* rp ./ (z + a .* (1 - a) * r))) ./ ...
    (1 + sum((1 - a) .* rp ./ (z + a .* (1 - a) .* rp)));

% v2ms = ruido(a,f,r,rp,rs,k,c1,c2,z)

% funcion transferencia...
if (nargout > 2) | (nargin < 1) ,
    h1 = diag(aa * rp) * tfinv(Z + aa .* (1 - aa) * r);
    h2 = diag((1 - aa) * rp) * tfinv(Z + aa .* (1 - aa) .* rp);
    hh1 = tf(0);
    hh2 = tf(0);
    for i = 1:length(frecs)
        hh1 = hh1 + h1(i);
        hh2 = hh2 + h2(i);
    end

    H = (1 + hh1) * tfinv(1 + hh2);

    [xxx,fff] = bode(H,f*2*pi);
    xx = 1:size(xxx,3);
    ff = 1:size(fff,3);
    xx(:) = xxx(1,1,:);
    ff(:) = fff(1,1,:);
    h = xx;
end

if nargout < 1,
    close all;
    figure(1);
    ax = axes;
    grf=plot(f,abs(h),'b'); 
    hold on;
    plot(f,abs(xx),'k');
    hold off;
    set(ax, 'xscale', 'log');
    set(ax, 'yscale', 'log');
%     axis(ax,[min(f) max(f) min(min(abs(h))) max(max(abs(h)))]);
    figure(2);
    bode(H, f*2*pi)
    h = 0;
    f = 0;
else
    return
end