function out=spectilt(in)

global fs noS t duration operations verbosityLevel wb

maxDeviation=1; % Maximum deviation upwards or downwards

n=128;
f=linspace(0,1,fs/2);
out=[];
for x=1:noS
    waitbar(1/operations+1/operations/noS*x,wb,'Manipulating spectrum...');
    deviation=2*maxDeviation*rand(1)-maxDeviation;
    [mag fund]=max(abs(fft(in(:,x),fs)));
    m=[ones(1,fund) linspace(1,1+deviation,length(f)-fund)];
    b=fir2(n,f,m);
    out(:,x)=fftfilt(b,in(:,x));
    if verbosityLevel==2
        figure(2)
        subplot(noS,operations,(x-1)*operations+2)
        semilogy(f*(fs/2),m)
        axis([0 fs/2 0 max(m)+.1])
        figure(3)
        subplot(noS,operations,(x-1)*operations+2)
        t=linspace(0,duration,length(out(:,x)));
        plot(t,out(:,x))
        figure(4)
        loglog(f*fs/2,m)
        axis([0 fs/2 0 max(m)+.1])
    end
end
    