function out=timedelay3(in,tonesPlotted,s)

global noS fs duration operations verbosityLevel wb

windowWidth=.6; % Seconds
overlap=.4; % Seconds
maxDeviation=130; % Milliseconds. Note that maximum deplacement is twice this value.

out=zeros(length(in)+windowWidth*fs-overlap*fs,noS);
% out=zeros(size(in));
window=tukeywin(windowWidth*fs,.25);
tmp=zeros(length(out),1);
for x=1:noS
    waitbar(1/operations/noS*x,wb,'Manipulating timing...');
        for y=1:windowWidth*fs-overlap*fs:length(in)
            devtn=floor(maxDeviation*fs/1000*rand(1)-maxDeviation*fs/1000/2);
            if y+devtn<0
                devtn=0;
            end
            if y+windowWidth*fs+devtn>length(in)
                out(y:length(in),x)=out(y:length(in),x)+in(y:length(in)).*window(1:length(in)-y+1);
            else
                out(y:y+windowWidth*fs-1,x)=out(y:y+windowWidth*fs-1,x)+in(y+devtn:y+windowWidth*fs+devtn-1).*window;
            end
        end
    out(:,x)=out(:,x)/max(max(out(:,x)))*max(max(in));
    if verbosityLevel==2
        t=linspace(0,duration,length(out(:,x)));
        figure(2)
        subplot(noS,operations,(x-1)*operations+1)
        plot(hann(windowWidth*fs))
        figure(3)
        subplot(noS,operations,(x-1)*operations+1)
        plot(t,out(:,x))
        drawnow
    end
end
